ros-kilted-plansys2-domain-expert (3.0.2-1noble) noble; urgency=high

  * Set C++23 as default
  * Plansys2 domain expert
  * fix code style
  * change variable name in getDerivedFromDomain
  * include DerivedResolutionGraph.hpp in DomainExpert.hpp
  * merge plansys2_domain_expert pkg from rezenders/new_evaluationwq
  * Improve doxygen documentation
  * Improve doc for domain and problem
  * Improve doc for Domain
  * Doc for domain expert
  * Contributors: Alberto Tudela, Eshan Savla, Francisco Martín Rico, Gustavo, Gustavo Rezende

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 15 Dec 2025 23:00:00 -0000

ros-kilted-plansys2-domain-expert (3.0.1-1noble) noble; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 21 Jun 2025 22:00:00 -0000

ros-kilted-plansys2-domain-expert (3.0.0-1noble) noble; urgency=high

  * Modify export target. Rename metapackage
  * Revamp CMake and clean unused headers
  * Update install
  * Remove unused dependencies
  * Update CMakeLists to manage dependencies more efficiently in various packages.
  * Update CI adding BT.CPP as source dependecy
  * Multiple plans and replanning stability
  * Add getProblemWithTimestamp to Problem Expert
  * Replanning
  * Add chached getDomain()
  * Change to EventsExecutor
  * 🎨 linter for plansys2_pddl_parser
  * include "object" in getType
  * Add support for derived predicates
  * include "object" in getType
  * add params to getDerivedPredicate
  * add tests for getDerivedPredicate(s)
  * add getDerivedPredicate
  * add getDerivedPredicates
  * add DomainReader::get_derived_predicates
  * Fixed expected output
  * Fix CI after BT-CPP v4
  * Fixed dump of functions/constants/types to handle the case where no funcions/constants/types declared to avoid printing the entry, thus generating a valid PDDL file
  * Add option to use planner node to validate domain in domain expert
  * Spin up temporary node for domain validation
  * Add option to use planner node to validate domain in domain expert
  * Add ability to specify output folder in POPF planner
  * Configure POPF solver in domain expert
  * Reverting changes to checking for valid domain.
  * Fix deprecation of ament_target_dependencies
  * Add option to use planner node to validate domain in domain expert
  * Supporting time-triggered execution.
  * Contributors: Alberto Tudela, Francisco Martín Rico, Gustavo, Josh Zapf, Marco Roveri, Robodrome, Sebastian Castro, Splinter1984

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 05 Jun 2025 22:00:00 -0000

ros-kilted-plansys2-domain-expert (2.0.9-1noble) noble; urgency=high

  * Humble Upgrade
  * Fix possible bug https://github.com/ros2/rclcpp/issues/1968
  * Update popf checker interface
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 09 Jul 2022 22:00:00 -0000

ros-kilted-plansys2-domain-expert (2.0.8-1noble) noble; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-kilted-plansys2-domain-expert (2.0.7-1noble) noble; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-kilted-plansys2-domain-expert (2.0.6-1noble) noble; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-kilted-plansys2-domain-expert (2.0.5-1noble) noble; urgency=high

  * Fix ROS2 Buildfarm error due to Threads
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-kilted-plansys2-domain-expert (2.0.4-1noble) noble; urgency=high

  * Fix version
  * Fix ROS2 Buildfarm error due to Threads
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-kilted-plansys2-domain-expert (2.0.3-1noble) noble; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-kilted-plansys2-domain-expert (2.0.2-1noble) noble; urgency=high

  * Merge pull request #139 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/139> from MostafaGomaa/constants_params_handling
  * [problem_expert] clearGoal on clearing knowledge
  * [domain_expert] GetDomainConstants service and tests
  * [domain_expert] test domain_reader constants
  * [domain_expert] adapt tests, add constants to existing domain_processed
  * [domain_expert] DomainReader, Extract "(:constants )" string from domain_str
  * Contributors: Francisco Martín Rico, Jake Keller, Mostafa Gomaa

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-kilted-plansys2-domain-expert (2.0.1-1noble) noble; urgency=high

  * Update deprecated APIs in launchers and parameters
  * get-domain-name: Adding unit test for GetDomainName service.
  * get-domain-name: Added service for retrieving domain name. Concatenating domain names when using multiple domains.
  * Update launcher param names
  * Merge galactic-devel
  * Contributors: Francisco Martín Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 02 Feb 2022 23:00:00 -0000

ros-kilted-plansys2-domain-expert (2.0.0-1noble) noble; urgency=high

  * Compile for ROS2 Galactic
  * Contributors: Francisco Martín Rico, Jonatan Olofsson

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 03 Jul 2021 22:00:00 -0000

ros-kilted-plansys2-domain-expert (1.0.10-1noble) noble; urgency=high

  * Remove node parameter in client constructors
  * Adding unit tests for new functions in plansys2_domain_expert.
  * Add ability to read in pddl problem files to plansys2 and a new AddProblem service to the plansys2_problem_expert.
    Adding problem_file node parameter to plansys2_problem_expert to load a single problem file at launch.
  * Suggestion for #118 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/118>
  * pddl-tree-messages: Performing some minor cleanup.
  * pddl-tree-messages: Using explicit specifier for single parameter constructors in plansys2_core/Types.hpp.
  * pddl-tree-messages: Adding user access functions to domain expert client.
  * pddl-tree-messages: Using ROS messages to define the PDDL construct trees.
  * Update version
  * Contributors: Alexander Xydes, Francisco Martín Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 02 Jul 2021 22:00:00 -0000

ros-kilted-plansys2-domain-expert (1.0.9-1noble) noble; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 14 Mar 2021 23:00:00 -0000

ros-kilted-plansys2-domain-expert (1.0.8-1noble) noble; urgency=high

  * Update API for FutureReturnCode
  * Add support for numeric conditions and effects.
  * New Graph creation Algorithm
  * Added negative predicates support
  * Ignore comments on block end search
  * Add more verbose output to pddl errors
  * PDDL transparent merge
  * Contributors: Fabrice Larribe, Francisco Martin Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 11 Mar 2021 23:00:00 -0000

ros-kilted-plansys2-domain-expert (1.0.7-1noble) noble; urgency=high

  * Making explicit dependencies
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 03 Jan 2021 23:00:00 -0000

ros-kilted-plansys2-domain-expert (1.0.6-1noble) noble; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 28 Dec 2020 23:00:00 -0000

ros-kilted-plansys2-domain-expert (1.0.5-1noble) noble; urgency=high

  * Migration to c++17
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 27 Dec 2020 23:00:00 -0000

ros-kilted-plansys2-domain-expert (1.0.4-1noble) noble; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 23 Dec 2020 23:00:00 -0000

ros-kilted-plansys2-domain-expert (1.0.3-1noble) noble; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 22 Dec 2020 23:00:00 -0000

ros-kilted-plansys2-domain-expert (1.0.2-1noble) noble; urgency=high

  * Plan solvers as plugins
  * Contributors: Fabrice Larribe, Francisco Martin Rico, f269858

 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 22 Dec 2020 23:00:00 -0000

ros-kilted-plansys2-domain-expert (1.0.0-1noble) noble; urgency=high

  * Foxy initial version
  * Boost:optional
  * Support for BT actions
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 18 Jul 2020 22:00:00 -0000

ros-kilted-plansys2-domain-expert (0.0.8-1noble) noble; urgency=high

  * Support for BT actions
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 17 Jul 2020 22:00:00 -0000

ros-kilted-plansys2-domain-expert (0.0.7-1noble) noble; urgency=high

  * Fix warning in last cmake versions
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 25 Mar 2020 23:00:00 -0000

ros-kilted-plansys2-domain-expert (0.0.6-1noble) noble; urgency=high

  * Run in separate namespaces. Monolothic node
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Add multi domain
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Avoid inserting duplicate types
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Avoid inserting duplicate types
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 22 Mar 2020 23:00:00 -0000

ros-kilted-plansys2-domain-expert (0.0.5-1noble) noble; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 11 Jan 2020 23:00:00 -0000

ros-kilted-plansys2-domain-expert (0.0.4-1noble) noble; urgency=high

  * Adding missing action dependencies
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 08 Jan 2020 23:00:00 -0000

ros-kilted-plansys2-domain-expert (0.0.3-1noble) noble; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 08 Jan 2020 23:00:00 -0000

ros-kilted-plansys2-domain-expert (0.0.2-1noble) noble; urgency=high

  * Merge pull request #16 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/16> from IntelligentRoboticsLabs/pddl_parser_rename
    Rename pddl_parser
  * Rename pddl_parser
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Merge pull request #8 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/8> from IntelligentRoboticsLabs/patrol_example
    Patrol example
  * Patrol example
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Packages.xml description
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Adding documentation
    Signed-off-by: Francisco Martin Rico <mailto:fmartin@gsyc.urjc.es>
  * Adding documentation
    Signed-off-by: Francisco Martin Rico <mailto:fmartin@gsyc.urjc.es>
  * Adding documentation
    Signed-off-by: Francisco Martin Rico <mailto:fmartin@gsyc.urjc.es>
  * Merge pull request #6 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/6> from IntelligentRoboticsLabs/documentation
    Documentation for Domain Expert
  * Documentation for Domain Expert
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Setting CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Setting CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Setting CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Setting CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Change to lowercasegit
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * First version of planner complete
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Update notification in problem
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Problem expert complete with terminal support
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Problem expert client and node
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Goals in problem generation
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * ProblemExpert local complete
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Using shred_ptr. First commit Problem
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Domain types and messages changed
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Predicate Tree and types changed
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Planning terminal and domain clients
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * First version of domain expert
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 07 Jan 2020 23:00:00 -0000


